# @author Frederik  Feys
class Thermostat
  attr_accessor :current_value
  attr_accessor :wanted_value
  attr_accessor :range

  def initialize(current_value = 0, wanted_value = 0, range = 0)
    @current_value = current_value
    @current_value = wanted_value
    @range = range
  end

  def update_current(current_value)
    current_value = current_value
  end

  def update_wanted(wanted_value)
    wanted_value = wanted_value
  end

  def heating
    if @current_value < (@wanted_value - @range)
      @heating = true
      puts 'heating'
    else
      @heating = false
    end
  end

  def airco
    if @current_value > (@wanted_value + @range)
      @airco = true
      puts 'cooling'
    else
      @airco = false
    end
  end
end
